package oldmcdata.agents;

import jade.core.Agent;
import jade.lang.acl.ACLMessage;
import jade.proto.FipaRequestInitiatorBehaviour;

/**
 * Title:
 * Description:
 *Copyright: 2000 - 2005
 *         
 * @author Stephen C. Upton
 * @version 1.0
 */

public class OldMcDataAgentAMSClientBehavior extends FipaRequestInitiatorBehaviour {
    private String actionName;

    public OldMcDataAgentAMSClientBehavior(Agent myAgent, ACLMessage request, String an) {
        super(myAgent, request);
        actionName = an;
    }

    protected void handleNotUnderstood(ACLMessage reply) {
        System.out.println("NOT-UNDERSTOOD received by AMS during " + actionName);
    }

    protected void handleRefuse(ACLMessage reply) {
        System.out.println("REFUSE received during " + actionName);
    }

    protected void handleAgree(ACLMessage reply) {
        System.out.println("AGREE received");
    }

    protected void handleFailure(ACLMessage reply) {
        System.out.println("FAILURE received during " + actionName);
    }

    protected void handleInform(ACLMessage reply) {
        System.out.println("INFORM received");
    }

}  // End of OldMcDataAgentAMSClientBehavior class