package oldmcdata.evaluators;

import org.dom4j.DocumentHelper;
import org.dom4j.Element;

/**
 * Title:
 * Description:
 *Copyright: 2000 - 2005
 *  
 * @author Stephen C. Upton
 * @version 1.0
 */

public class NullEvaluator extends AbstractEvaluator {

    public NullEvaluator() {
        super();
    }

    public void initialize() {
        System.out.println(this.getClass().getName() + " is in initialize()");
    }

    public void evaluate() {
        System.out.println(this.getClass().getName() + " is in evaluate()");
        studyXMLHandler.openStudyXMLDocument();

        Element iterationElement = studyXMLHandler.getMostRecentIterationElement();
        System.out.println("Most Recent Iteration Element: " + iterationElement.attributeValue("id"));
        Element fitness = DocumentHelper.createElement("Fitness");
        fitness.addAttribute("value", "2.0");
        iterationElement.add(fitness);

        studyXMLHandler.writeStudyXMLDocument();
    }
}

