/*
    OldMcData - The Data Farmer
    Copyright (C) 2005 Referentia Systems, Inc.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package oldmcdata.analyzers.utils;

import java.io.File;
import java.util.List;
import java.util.Vector;

/**
 * @author Stephen C. Upton
 * @date Feb 14, 2005
 *
 */
public class FileWatcher {
    private List moeFileNames;

    public FileWatcher() {
    }

    public void setMoeFilesToWatch(List moeFileNames) {
        this.moeFileNames = moeFileNames;
    }

    public boolean checkForOutput() {
        List filesThatExist = new Vector();

        for (int i = 0; i < moeFileNames.size(); i++) {
            String moeFileName = (String) moeFileNames.get(i);
            File test = new File(moeFileName);
            if (test.exists()) {
                filesThatExist.add(test);
            } else
                System.out.println("Looking for File:" + moeFileName);
        }

        if (filesThatExist.size() == moeFileNames.size())
            return true;
        else
            return false;

    }
}
