package oldmcdata.analyzers.utils;

import java.util.Vector;

import org.dom4j.Element;

/**
 * Title:
 * Description:
 *Copyright: 2000 - 2005
 *  
 * @author Stephen C. Upton
 * @version 1.0
 */

public interface FitnessCalculator {
    public void setStatistic(String stat);

    public Double calculateFitness(double[] data);

    public Double calculateFitness(String stat, double[] data);
    
    // data is a Vector of DataVectors
    public Double calculateFitness(Vector data);
    
    public void initialize(Element e);
}