package oldmcdata.analyzers.utils.stats;


/**
 * Title:
 * Description:
 *Copyright: 2000 - 2005
 *  
 * @author Stephen C. Upton
 * @version 1.0
 */

public abstract class AbstractStatistic implements Statistic {
    private String name;
    private Double stat;

    public AbstractStatistic(String n) {
        name = n;
    }

    public abstract void calculateStatistic(double[] data);

    public Double getStatistic() {
        return stat;
    }

    public String getName() {
        return name;
    }

    public void setStatistic(double d) {
        stat = new Double(d);
    }

    public String toString() {
        return " " + stat.toString();
    }
}