package oldmcdata.tests;

import java.text.NumberFormat;

import org.testng.Assert;
import org.testng.annotations.Test;


public class TestNumberFormat {
  @Test
  public void testDouble() {
	  NumberFormat nf = NumberFormat.getInstance();
      Double val = new Double("12.23333");
      nf.setMaximumFractionDigits(2);
	  String result = nf.format(val.doubleValue());
	  
      Assert.assertEquals(result, "12.23");
	  
  }
  
  @Test
  public void testInteger() {
	  NumberFormat nf = NumberFormat.getInstance();
      Double val = new Double("12.23333");
      nf.setMaximumFractionDigits(0);
	  String result = nf.format(val.doubleValue());
	  
      Assert.assertEquals(result, "12");
	  
  }

}
